Summary:	A tool for tunneling TCP connections over ICMP echo packets
Summary(pl.UTF-8):	Narzędzie służące do tunelowania połączeń TCP poprzez pakiety ICMP echo
Name:		ptunnel
Version:	0.72
Release:	1
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.cs.uit.no/~daniels/PingTunnel/PingTunnel-%{version}.tar.gz
# Source0-md5:	c5f0c36d1a48d84ce7b5217f1ba52dd0
Patch0:		%{name}-Makefile.patch
URL:		http://www.cs.uit.no/~daniels/PingTunnel/index.html
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ping Tunnel is a tool for reliably tunneling TCP connections over ICMP
echo request and reply packets. It is useful for evading firewalls
that, for whatever reason, prevent outgoing TCP connections, but allow
in- and outgoing ICMP packets.

%description -l pl.UTF-8
Ping Tunnel jest narzędziem służącym do niezawodnego tunelowania
połączeń TCP poprzez pakiety ICMP echo request i ICMP echo reply. Ping
Tunnel jest użyteczny do omijania firewalli, które zabraniają
wychodzących połączeń TCP, ale pozwalają na wchodzące i wychodzące
pakiety ICMP.

%prep
%setup -q -n PingTunnel
%patch0 -p0

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	bindir=%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README LICENSE
%attr(755,root,root) %{_bindir}/ptunnel
%{_mandir}/man8/ptunnel.8*
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ptunnel.git;a=log;h=master

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 26bb287
- up to 0.72

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> efeea49
- release 2

* Thu Nov 12 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 15b553f
- updated to 0.71

* Thu Jan 15 2009 duddits <duddits@pld-linux.org> 1708ae3
- up to 0.70

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8f3d71e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5d9ca31
- converted to UTF-8

* Thu Aug 04 2005 nail2k <nail2k@pld-linux.org> 195c80e
- cosmetics

* Mon Jul 25 2005 Elan Ruusamäe <glen@pld-linux.org> 8d98d78
- include manual to package

* Fri Jul 22 2005 blekot <blekot@pld-linux.org> b4218b9
- up to 0.61

* Mon May 16 2005 zbyniu <zbyniu@pld-linux.org> 55aa29c
- up to 0.60

* Fri Feb 18 2005 nail2k <nail2k@pld-linux.org> e8ba84d
- up to 0.55

* Thu Feb 10 2005 nail2k <nail2k@pld-linux.org> 69d5d0e
- new

